<?php

/*
Plugin Name: DiscussIt Comments
Plugin URI: http://www.pnyxe.com/DiscussIt-comment-system
Description: Professional comment system powered by DiscussIt
Author: pnyxe
Version: 1.0.0
Author URI: http://www.pnyxe.com
*/

/*  Copyright 2011 Pnyxe (email : {{companyFromEmailAddress}})

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
*/

require_once(dirname(__FILE__).'/wp_zpbw_comments.class.php');

require_once(dirname(__FILE__).'/wp_zpbw_recent_comments.class.php');

// set wordpress action hooks
add_action('widgets_init', create_function('', 'return register_widget("WPZpbwRecentComments");'));
add_action('admin_menu', WPZpbwCommentsCB::GetInstance()->add_pages());
add_action('wp_print_scripts', WPZpbwCommentsCB::GetInstance()->add_js());
add_action('wp_head', WPZpbwCommentsCB::GetInstance()->add_init_js());

// set wordpress filter hooks
add_filter('comments_template', WPZpbwCommentsCB::GetInstance()->change_comments_template());
add_filter('comments_number', WPZpbwCommentsCB::GetInstance()->fix_comments_number());

?>