<?php

class WPZpbwRecentComments extends WP_Widget
{
	function WPZpbwRecentComments()
	{
		$widget_ops = array('classname' => 'widget_zpbw_recent_comments', 'description' => __('DiscussIt Recent Comments widget (requires a minimum of 260px width sidebar).' ) );
		$this->WP_Widget('zpbw-recent-comments', __('DiscussIt Recent Comments'), $widget_ops);
		$this->alt_option_name = 'widget_zpbw_recent_comments';
	}

	function widget( $args, $instance )
	{
		extract($args, EXTR_SKIP);

		echo $before_widget;
		echo WPZpbwComments::GetInstance()->recentCommentsCode($instance);
		echo $after_widget;
	}

	function update( $new_instance, $old_instance )
	{
		$instance = $old_instance;
		$instance['height'] = (int) $new_instance['height'];

		return $instance;
	}

	function form( $instance )
	{
		$height = isset($instance['height']) ? absint($instance['height']) : 200;
?>
		<p><label for="<?php echo $this->get_field_id('height'); ?>"><?php _e('<b>Height:</b>'); ?></label>
		<input id="<?php echo $this->get_field_id('height'); ?>" name="<?php echo $this->get_field_name('height'); ?>" type="text" value="<?php echo $height; ?>" size="3" /><br/><br/>
		Note that the <b>width</b> is "liquid", and requires a minimum of 260px width sidebar.
		</p>
<?php
	}
}
